Subject: Copper finish

From: [email-masked] (Brian Peppel)
Date: Thu, 25 Apr 1996 16:26:41 -0400

I just acquired an antique copper humidor. It had, I think, a lacquer
finish on it. Even with the finish the piece was discolored and damaged. I
managed to thoroughly clean the piece and remove the old damaged lacquer
finish. The piece looks great now. The problem - it almost immediately
starts to tarnish. I suspect I will need to reapply a finish. 

What are recommendations for cleaning and polishing just before applying a
finish and what type of finish should I use?

Thanx in advance
-Brian Peppel [email-masked]